Catalog - List Table Statistics By Database
Retrieves the list of all statistics in a database from the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/statistics?api-version=2016-11-01
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/statistics?$filter={$filter}&$top={$top}&$skip={$skip}&$select={$select}&$orderby={$orderby}&$count={$count}&api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database containing the table statistics. |
|
api-version
|
query | True |
string |
Client Api Version. |
|
$count
|
query |
boolean |
The Boolean value of true or false to request a count of the matching resources included with the resources in the response, e.g. Categories?$count=true. Optional. |
|
|
$filter
|
query |
string |
OData filter. Optional. |
|
|
$orderby
|
query |
string |
OrderBy clause. One or more comma-separated expressions with an optional "asc" (the default) or "desc" depending on the order you'd like the values sorted, e.g. Categories?$orderby=CategoryName desc. Optional. |
|
|
$select
|
query |
string |
OData Select statement. Limits the properties on each entry to just those requested, e.g. Categories?$select=CategoryName,Description. Optional. |
|
|
$skip
|
query |
integer (int32) minimum: 1 |
The number of items to skip over before returning elements. Optional. |
|
|
$top
|
query |
integer (int32) minimum: 1 |
The number of items to return. Optional. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the list of all table statistics in the specified database. |
Examples
Retrieves the list of all statistics in a database from the Data Lake Analytics catalog
Sample request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/statistics?$filter=test_filter&$top=1&$skip=1&$select=test_select&$orderby=test_orderby&$count=False&api-version=2016-11-01
Sample response
{
"nextLink": "https://contosoadla.datalakeanalytics.net/catalog/usql/databases/master/schema/dbo/statistics?api-version=2016-11-01&%24skiptoken=<token>",
"value": [
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"databaseName": "master",
"schemaName": "dbo",
"tableName": "test_table_name",
"statisticsName": "test_statistics_name",
"userStatName": "test_user_stat_name",
"statDataPath": "test_stat_data_path",
"createTime": "2017-04-14T13:21:56.6819037-07:00",
"updateTime": "2017-04-14T13:21:56.6819037-07:00",
"isUserCreated": false,
"isAutoCreated": false,
"hasFilter": false,
"filterDefinition": "test_filter_definition",
"colNames": [
"test_column_name_1",
"test_column_name_2"
]
}
]
}
Definitions
| Name | Description |
|---|---|
|
USql |
A Data Lake Analytics catalog U-SQL table statistics item. |
|
USql |
A Data Lake Analytics catalog U-SQL table statistics item list. |
USqlTableStatistics
A Data Lake Analytics catalog U-SQL table statistics item.
| Name | Type | Description |
|---|---|---|
| colNames |
string[] |
the list of column names associated with these statistics. |
| computeAccountName |
string |
the name of the Data Lake Analytics account. |
| createTime |
string (date-time) |
the creation time of the statistics. |
| databaseName |
string |
the name of the database. |
| filterDefinition |
string |
the filter definition for the statistics. |
| hasFilter |
boolean |
the switch indicating if these statistics have a filter. |
| isAutoCreated |
boolean |
the switch indicating if these statistics are automatically created. |
| isUserCreated |
boolean |
the switch indicating if these statistics are user created. |
| schemaName |
string |
the name of the schema associated with this table and database. |
| statDataPath |
string |
the path to the statistics data. |
| statisticsName |
string |
the name of the table statistics. |
| tableName |
string |
the name of the table. |
| updateTime |
string (date-time) |
the last time the statistics were updated. |
| userStatName |
string |
the name of the user statistics. |
| version |
string (uuid) |
the version of the catalog item. |
USqlTableStatisticsList
A Data Lake Analytics catalog U-SQL table statistics item list.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
the link to the next page of results. |
| value |
the list of table statistics in the database, schema and table combination |